{% extends "request/base.html" %}

{% block content %}

    {% for request in requests %}

        <div class="card">
            <h5 class="card-header">Абонент: {{ request.username }},
            Почта: <a href="mailto:{{ request.email }}">{{ request.email }}</a>
            Телефон: <a href="tel:{{ request.phone }}">{{ request.phone }}</a>
            </h5>

            <div class="card-body">
                <h5 class="card-title">Комментарий</h5>
                <p class="card-text">{{ request.comment }}</p>
                Статус:
                {% if request.status == 1 %}
                    <button type="button" class="btn btn-warning">В Работе</button>
                {% else %}
                    <button type="button" class="btn btn-success">Обработана</button>
                {% endif %}
                <div>
                    <a class="btn btn-info mt-1 mb-1" href="{% url 'request-status' request.id %}">Обработать</a>
                    <a class="btn btn-primary" href="{% url 'request-detail' request.pk %}">Просмотреть</a>
                    <a class="btn btn-outline-danger mt-1 mb-1" href="{% url 'request-delete' request.id %}">delete</a>
                </div>
            </div>
        </div>
    {% endfor %}
{% endblock %}